0
$\begingroup$

Rosanswers logo

Hello, I have my basic ros groovy system working on my gentoo machine. Now I need to use a kobuki and so I tried to install all the nodes from the turtlebot from source like in:

[http://mirror .umd.edu/roswiki/turtlebot(2f)Tutorials(2f)groovy(2f)Installation.html](http://mirror .umd.edu/roswiki/turtlebot(2f)Tutorials(2f)groovy(2f)Installation.html)

Also I had to slowly add all the dependencies one by one and I got all of them to compile until I had to face gazebo.

In this case I found to ways to have it running on groovy, one is to use the rosbuild package but I hat problems to compile it and also I don't know how to "install" rosbuild nodes into /opt/ros/groovy as I do with catkin packages.

The second way (the standard in hydro) is to have the official version of gazebo (I have the 1.9) and install gazebo_ros_pkgs to make the connections with ros which is what I wanted as they say in:

http://gazebosim.org/wiki/Tutorials/1.9/Installing_gazebo_ros_Packages

Now I'm facing some problems to compile what I think it's openni_driver with the following error:

Built target kobuki_msgs_gencpp
[ 23%] Built target openni_camera_gencfg
[ 23%] Built target DepthImageToLaserScan
Scanning dependencies of target kobuki_bumper2pc_nodelet
[ 23%] Built target gazebo_plugins_gencfg
[ 23%] Building CXX object kobuki/kobuki_bumper2pc/CMakeFiles/kobuki_bumper2pc_nodelet.dir/src/kobuki_bumper2pc.cpp.o
[ 24%] Built target openni_driver
Linking CXX shared library /home/fox/turtlebot-catkin/devel/lib/libMultiCameraPlugin.so
Linking CXX shared library /home/fox/turtlebot-catkin/devel/lib/libgazebo_ros_block_laser.so
Linking CXX shared library /home/fox/turtlebot-catkin/devel/lib/libgazebo_ros_camera_utils.so
///usr/usrlib//gcc/libx86_64/-gccpc/-x86_64linux--pcgnu-/linux4.6.3-/gnu./.4.6.3//....//....//....//x86_64.-.pc/-x86_64linux--pcgnu-/linuxbin-/gnuld/:bin /ld: Eigen::internal::manage_caching_sizes(Eigen::Action, long*, long*)::m_l2CacheSizeEigen::internal::manage_caching_sizes(Eigen::Action, long*, long*)::m_l2CacheSize::  TLSTLS  definitiondefinition  inin  //optopt//rosros//groovygroovy//lib64lib64//libpcl_sample_consensus.solibpcl_sample_consensus.so  sectionsection  ..tbsstbss  mismatchesmismatches  nonnon--TLSTLS  definitiondefinition  inin  //optopt//rosros//groovygroovy//liblib//libopencv_contrib.solibopencv_contrib.so  sectionsection  ..bssbss

//optopt//rosros//groovygroovy//liblib//libopencv_contrib.solibopencv_contrib.so::  couldcould  notnot  readread  symbolssymbols::  BadBad  valuevalue

collect2: ld returned 1 exit status
collect2: ld returned 1 exit status
usr/lib/gcc/x86_64-pc-linux-gnu/4.6.3/../../../../x86_64-pc-linux-gnu/bin/ld: Eigen::internal::manage_caching_sizes(Eigen::Action, long*, long*)::m_l2CacheSize: TLS definition in /opt/ros/groovy/lib64/libpcl_sample_consensus.so section .tbss mismatches non-TLS definition in /opt/ros/groovy/lib/libopencv_contrib.so section .bss
/opt/ros/groovy/lib/libopencv_contrib.so: could not read symbols: Bad value
collect2: ld returned 1 exit status
make[2]: *** [/home/fox/turtlebot-catkin/devel/lib/libgazebo_ros_block_laser.so] Error 1
make[2]: *** [/home/fox/turtlebot-catkin/devel/lib/libMultiCameraPlugin.so] Error 1
make[2]: *** [/home/fox/turtlebot-catkin/devel/lib/libgazebo_ros_camera_utils.so] Error 1
make[1]: *** [gazebo_ros_pkgs/gazebo_plugins/CMakeFiles/MultiCameraPlugin.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
make[1]: *** [gazebo_ros_pkgs/gazebo_plugins/CMakeFiles/gazebo_ros_block_laser.dir/all] Error 2
make[1]: *** [gazebo_ros_pkgs/gazebo_plugins/CMakeFiles/gazebo_ros_camera_utils.dir/all] Error 2
Linking CXX shared library /home/fox/turtlebot-catkin/devel/lib/libkobuki_bumper2pc_nodelet.so
[ 24%] Built target kobuki_bumper2pc_nodelet
make: *** [all] Error 2
Invoking "make" failed

I read in http://wiki.ros.org/groovy/Installation/Fedora that it has something to do with the eigen library version. I have version 3.0.6 installed while they recommend 3.0.4.

Is this really the reason of the problem I'm facing? How should I follow? Does anybody have experience having ros fully installed from source?

Thank you


Originally posted by focs on ROS Answers with karma: 46 on 2013-10-09

Post score: 0

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

Solution:

Use newer version of eigen according to:

www.pcl-users.org/Cant-Generate-Executable-for-third-registration-tutorial-PCL-Rev-7074-td4022118.html


Originally posted by focs with karma: 46 on 2014-03-04

This answer was ACCEPTED on the original site

Post score: 0

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.